commit 338dc95d853336cb2f1774c306c4c02bb29abe03
Author: Elan Ruusamäe <g...@delfi.ee>
Date:   Sat Sep 17 10:15:50 2016 +0300

    use gtk3 fork, this actually compiles
    
    
https://github.com/libimobiledevice/sbmanager/issues/4#issuecomment-247666075

 pkg-config.patch | 29 +++++++++++++++++++++++++++++
 sbmanager.spec   | 13 +++++++++----
 2 files changed, 38 insertions(+), 4 deletions(-)
---
diff --git a/sbmanager.spec b/sbmanager.spec
index 4fa9ce5..e616d41 100644
--- a/sbmanager.spec
+++ b/sbmanager.spec
@@ -1,11 +1,12 @@
 Summary:       Manage iPhone/iPod Touch SpringBoard icons from the computer
 Name:          sbmanager
-Version:       0.1.0
-Release:       0.2
+Version:       0.1.8
+Release:       0.3
 License:       GPL v2
 Group:         X11/Applications
-Source0:       
https://github.com/libimobiledevice/sbmanager/archive/1dee1087/%{name}-%{version}.tar.gz
-# Source0-md5: 8a9bb02b9f78843ab98038cb5e213732
+Source0:       
https://github.com/gitsop01/sbmanager/archive/f9ed226b/%{name}-%{version}.tar.gz
+# Source0-md5: c88829b79f434d465aae806392534c93
+Patch0:                pkg-config.patch
 URL:           https://github.com/libimobiledevice/sbmanager
 BuildRequires: autoconf >= 2.61
 BuildRequires: automake
@@ -31,6 +32,7 @@ any iPhone/iPod Touch device running firmware 3.1 or later.
 %setup -qc
 mv sbmanager-*/* .
 %{__sed} -i -e s/-Werror// configure.ac
+%patch0 -p1
 
 %build
 %{__aclocal} -I m4
@@ -61,3 +63,6 @@ rm -rf $RPM_BUILD_ROOT
 %dir %{_datadir}/sbmanager
 %{_datadir}/sbmanager/background.png
 %{_datadir}/sbmanager/dot.png
+%{_datadir}/sbmanager/folder.png
+%{_datadir}/sbmanager/foldermarker.png
+%{_datadir}/sbmanager/iconshadow.png
diff --git a/pkg-config.patch b/pkg-config.patch
new file mode 100644
index 0000000..f64577f
--- /dev/null
+++ b/pkg-config.patch
@@ -0,0 +1,29 @@
+--- sbmanager-0.1.8/configure.ac~      2016-09-17 10:01:43.000000000 +0300
++++ sbmanager-0.1.8/configure.ac       2016-09-17 10:02:36.356737410 +0300
+@@ -16,25 +16,11 @@
+ AC_PROG_LIBTOOL
+ 
+ # Checks for libraries.
+-# PKG_CHECK_MODULES(libimobiledevice, libimobiledevice-1.0 = 0.9.7)
+-# PKG_CHECK_MODULES(libimobiledevice10, libimobiledevice-1.0 = 1.0.0, 
libimobiledevice_1_0=yes, libimobiledevice_1_0=no)
+-# if test x"$libimobiledevice_1_0" = xyes; then
+-# AC_DEFINE([HAVE_LIBIMOBILEDEVICE_1_0], 1, [Define if libimobiledevice is 
using 1.0.0 API])
+-# fi
+-# PKG_CHECK_MODULES(libimobiledevice11, libimobiledevice-1.0 = 1.1.0, 
libimobiledevice_1_1=yes, libimobiledevice_1_1=no)
+-# if test x"$libimobiledevice_1_1" = xyes; then
+-# AC_DEFINE([HAVE_LIBIMOBILEDEVICE_1_1], 1, [Define if libimobiledevice is 
using 1.1.0 API])
+-# fi
+-# FIX ME remove AC_define from code as no longer needed 
+-PKG_CHECK_MODULES(libimobiledevice, libimobiledevice10 >= 1.2.0)
+-# if test x"$libimobiledevice_1_0" = xyes; then
+-# AC_DEFINE([HAVE_LIBIMOBILEDEVICE_1_1_5], 1, [Define if libimobiledevice is 
using 1.1.5 API])
+-# fi
+ 
+ # pkg-config --???? module (library name) to check version number
+ # pkg-config --exists module (library name) to check module availablity
+ 
+-
++PKG_CHECK_MODULES(libimobiledevice, libimobiledevice-1.0 >= 1.2.0)
+ PKG_CHECK_MODULES(libglib, glib-2.0 >= 1.0.0)
+ PKG_CHECK_MODULES(libgthread2, gthread-2.0 >= 2.14.1)
+ PKG_CHECK_MODULES(libplist, libplist >= 1.0)
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/sbmanager.git/commitdiff/338dc95d853336cb2f1774c306c4c02bb29abe03

_______________________________________________
pld-cvs-commit mailing list
pld-cvs-commit@lists.pld-linux.org
http://lists.pld-linux.org/mailman/listinfo/pld-cvs-commit

Reply via email to